DROP OPERATOR(7)

NAME
DROP_OPERATOR - remove an operator

SYNOPSIS

DROP OPERATOR [ IF EXISTS ] name ( { left_type | NONE } , { right_type | NONE } ) [ CASCADE | RESTRICT ]

DESCRIPTION

DROP OPERATOR drops an existing operator from the database system. To execute this command you must be the owner of the operator.

PARAMETERS

IF EXISTS
    Do not throw an error if the operator does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of an existing operator.

left_type
    The data type of the operator's left operand; write NONE if the operator has no left operand.

right_type
    The data type of the operator's right operand; write NONE if the operator has no right operand.

CASCADE
    Automatically drop objects that depend on the operator (such as views using it), and in turn all objects that depend on those objects (see Section 5.13, “Dependency Tracking”, in the documentation).

RESTRICT
    Refuse to drop the operator if any objects depend on it. This is the default.

EXAMPLES

Remove the power operator a^b for type integer:

    DROP OPERATOR ^ (integer, integer);

Remove the left unary bitwise complement operator ~b for type bit:

    DROP OPERATOR ~ (none, bit);

Remove the right unary factorial operator x! for type bigint:

    DROP OPERATOR ! (bigint, none);

COMPATIBILITY

There is no DROP OPERATOR statement in the SQL standard.

SEE ALSO
CREATE OPERATOR (CREATE_OPERATOR(7)), ALTER OPERATOR (ALTER_OPERATOR(7))